#define BDMLIB // not an ideal way to prevent double registration of UI factories...
#include "base/bdmbase.h"
#include "base/user_info.h"
#include "stat/exp_family.h"
#include "itpp_ext.h"
#include "mpdf_harness.h"
#include "mat_checks.h"
#include "UnitTest++.h"

using namespace bdm;

template<>
const ParticularUI<mgamma> &ParticularUI<mgamma>::factory (
    ParticularUI<mgamma> ( "mgamma" ) );

template<>
const ParticularUI<mlnorm<ldmat> > &ParticularUI<mlnorm<ldmat> >::factory (
    ParticularUI<mlnorm<ldmat> > ( "mlnorm<ldmat>" ) );

template<>
const ParticularUI<mlnorm<chmat> > &ParticularUI<mlnorm<chmat> >::factory (
    ParticularUI<mlnorm<chmat> > ( "mlnorm<chmat>" ) );

TEST ( test_mepdf ) {
	mpdf_harness::test_config ( "mepdf.cfg" );
}

TEST ( test_mgamma ) {
	mpdf_harness::test_config ( "mgamma.cfg" );
}

TEST ( test_mlnorm ) {
	mpdf_harness::test_config ( "mlnorm.cfg" );
}
